import { drizzle } from 'drizzle-orm/postgres-js';
import postgres from 'postgres';
import { env } from '$env/dynamic/private';
import * as breakperiods from './schema/breakperiods';
import * as competitions from './schema/competitions';
import * as fields from './schema/fields';
import * as matches from './schema/matches';
import * as permissions from './schema/permissions';
import * as roles from './schema/roles';
import * as rounds from './schema/rounds';
import * as schedulingmodes from './schema/schedulingmodes';
import * as sessions from './schema/sessions';
import * as teams from './schema/teams';
import * as users from './schema/users';

if (!env.DATABASE_URL) throw new Error('DATABASE_URL is not set');

const client = postgres(env.DATABASE_URL);

export const db = drizzle(client, {
	schema: {
		...breakperiods,
		...competitions,
		...fields,
		...matches,
		...permissions,
		...roles,
		...rounds,
		...schedulingmodes,
		...sessions,
		...teams,
		...users
	}
});
