import * as t from 'drizzle-orm/pg-core';
import { permissionsToRoles, usersToRoles } from './schema';
import { relations } from 'drizzle-orm';
import { timestamps } from '../util';

export const roles = t.pgTable('role', {
	id: t.serial('id').primaryKey(),
	name: t.text('name').notNull().unique(),
	description: t.text('description').notNull(),
	...timestamps
});

export const rolesRelations = relations(roles, ({ many }) => ({
	permissionsToRoles: many(permissionsToRoles),
	usersToRoles: many(usersToRoles)
}));

export type Role = typeof roles.$inferSelect;
