import * as t from 'drizzle-orm/pg-core';
import { users } from './users';
import { binaryHash, timestamps } from '../util';

export const sessions = t.pgTable('session', {
	id: t.text('id').primaryKey(),
	secret_hash: binaryHash('secret_hash').notNull(),
	user_id: t
		.text('user_id')
		.notNull()
		.references(() => users.id),
	expires_at: t.timestamp('expires_at', { withTimezone: true, mode: 'date' }).notNull(),
	...timestamps
});

export type Session = typeof sessions.$inferSelect;
