import * as t from 'drizzle-orm/pg-core';
import { permissionsToRoles, usersToRoles } from './schema';
import { relations } from 'drizzle-orm';
import { timestamps } from '../util';

export const users = t.pgTable('user', {
	id: t.text('id').primaryKey(),
	username: t.text('username').notNull().unique(),
	oauth_id: t.text('oauth_id').notNull(),
	email: t.text('email').notNull().unique(),
	...timestamps
});

export const usersRelations = relations(users, ({ many }) => ({
	permissionsToRoles: many(permissionsToRoles),
	usersToRoles: many(usersToRoles)
}));

export type User = typeof users.$inferSelect;
