import * as t from 'drizzle-orm/pg-core';

export const timestamps = {
	updated_at: t.timestamp({ withTimezone: true, mode: 'date' }).default(new Date(Date.now())),
	created_at: t.timestamp({ withTimezone: true, mode: 'date' }).defaultNow().notNull(),
	deleted_at: t.timestamp({ withTimezone: true, mode: 'date' }).default(new Date())
};

export const binaryHash = t.customType<{ data: Buffer; driverData: Buffer }>({
	dataType() {
		return 'bytea';
	}
});
