import { getCompetitionsWithAll } from '$lib/server/db/schema/competitions';
import type { PageServerLoad } from './$types';

export const load: PageServerLoad = async ({ locals }) => {
	// Check if user is authenticated
	const user = locals.user;

	// If user is not authenticated, return an empty array for competitions
	if (!user) {
		return {
			competitions: []
		};
	}

	try {
		// Fetch competitions from the database
		const userCompetitions = getCompetitionsWithAll();

		return {
			competitions: await userCompetitions
		};
	} catch (error) {
		console.error('Error fetching competitions:', error);
		return {
			competitions: []
		};
	}
};
