import * as auth from '$lib/server/auth';
import { redirect } from '@sveltejs/kit';
import type { RequestHandler } from './$types';

export const GET: RequestHandler = async ({ url, locals, cookies }) => {
	if (!locals.session) {
		return new Response(null, { status: 302, headers: { Location: url.origin } });
	}
	await auth.invalidateSession(locals.session.id);
	auth.deleteSessionTokenCookie(cookies);
	return redirect(302, '/');
};
